import 'package:prompter_nartc/src/option.dart';
import 'package:prompter_nartc/src/terminal.dart';

final Terminal _terminal = const Terminal();

class Prompter {
  bool askBinary(String prompt) {
    final input = _ask('$prompt (y/n)', []);
    return input.contains('y');
  }

  dynamic askMultiple(String prompt, List<Option> options) {
    final input = int.tryParse(_ask(prompt, options));
    if (input != null && (input > 0 && input <= options.length)) {
      return options[input - 1].value;
    } else {
      return askMultiple(prompt, options);
    }
  }

  String _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
