import 'dart:io';

import 'package:prompter_nartc/src/option.dart';

class Terminal {
  static final String _clearStrWindows = '\x1B[2J\x1B[0f';
  static final String _clearStrNotWindows = '\x1B[2J\x1B[3J\x1B[H';

  const Terminal();

  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write(_clearStrWindows);
    } else {
      stdout.write(_clearStrNotWindows);
    }
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((int key, option) {
      stdout.writeln('[${key + 1}] - ${option.label}');
    });

    stdout.writeln('Enter a choice\n');
    stdout.write('> ');
  }

  void printError(String error) {
    stdout.writeln(error);
  }
}
